Bug 895718 - Incomplete rpm provides filters causes issues with the samba4-libs package on certain architectures
Incomplete rpm provides filters causes issues with the samba4-libs package on...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: samba4 (Show other bugs)
6.4
Unspecified Unspecified
urgent Severity urgent
: rc
: ---
Assigned To: Andreas Schneider
Namita Soman
: Regression
Depends On:
Blocks: 902691
  Show dependency treegraph
 
Reported: 2013-01-15 15:33 EST by Simo Sorce
Modified: 2013-02-21 03:46 EST (History)
5 users (show)

See Also:
Fixed In Version: samba4-4.0.0-53.el6.rc4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 03:46:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simo Sorce 2013-01-15 15:33:55 EST
An incomplete filter in the samba4 spec file cause incorrect Provides in samba4-libs package that may make it provide the wrong symbols that should be provided by samba's libsmbclient package only.
Comment 3 Namita Soman 2013-01-28 19:12:26 EST
verified using steps:
# rpm -q --provides samba4-libs | grep libsmbclient
libsmbclient-raw.so.0()(64bit)  
libsmbclient-raw.so.0(SMBCLIENT_RAW_0.0.1)(64bit)  
libsmbclient.so.0(SAMBA_4.0.0RC4)(64bit)  
libsmbclient.so.0(SMBCLIENT_0.1.0)(64bit)  
libsmbclient.so.0(SMBCLIENT_0.2.0)(64bit)  

# rpm -q --provides samba4-libs | grep libwbclient
libwbclient.so.0(SAMBA_4.0.0RC4)(64bit)  
libwbclient.so.0(WBCLIENT_0.10)(64bit)  
libwbclient.so.0(WBCLIENT_0.9)(64bit)  

# rpm -q --provides samba4-libs | grep libnetapi
libnetapi.so.0(SAMBA_4.0.0RC4)(64bit)
Comment 4 Namita Soman 2013-01-28 21:50:28 EST
do the above steps verify this bz?
Comment 5 Andreas Schneider 2013-01-29 08:57:06 EST
See bug #861892. The difference here is that the rule was incomplete. The linker produces different symbol names on different architectures. 64bit is different to 32bit package, so you need to check both platforms.
Comment 6 Namita Soman 2013-01-29 11:35:14 EST
on 64bit:
# rpm -qa | grep samba
samba4-libs-4.0.0-55.el6.rc4.x86_64
samba-common-3.6.9-151.el6.x86_64
samba-winbind-3.6.9-151.el6.x86_64
samba-winbind-clients-3.6.9-151.el6.x86_64

# rpm -qa | grep libsmbclient
libsmbclient-3.6.9-151.el6.x86_64


on 32bit:
# rpm -qa | grep samba
samba-common-3.6.9-151.el6.i686
samba-winbind-3.6.9-151.el6.i686
samba4-libs-4.0.0-55.el6.rc4.i686
samba-winbind-clients-3.6.9-151.el6.i686

# rpm -qa | grep bclient
libsmbclient-3.6.9-151.el6.i686
Comment 7 errata-xmlrpc 2013-02-21 03:46:30 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0506.html

Note You need to log in before you can comment on or make changes to this bug.